| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties

# IG::Num::Func::WeightGauss Class Reference

A RealFunction class representing bell like polynomial weighting function with finite support, based on Gaussian function (exp(-x^2)). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1. More...

Inheritance diagram for IG::Num::Func::WeightGauss:
[legend]
Collaboration diagram for IG::Num::Func::WeightGauss:
[legend]

List of all members.

## Public Member Functions
| WeightGauss ()
| WeightGauss (double Kx, double Sx)
| WeightGauss (double Kx, double Sx, double Ky, double Sy)
override bool | HigherDerivativeDefined (int order)
| Tells whether the derivative of the given order is defined for this function (by implementation, not mathematically). Returns true if either the internal variable indicates true or the appropriate delegate is non-null.
## Protected Member Functions
override double | RefValue (double x)
| Returns the value of reference (untransformed) function.
override double | RefDerivative (double x)
| Returns the first derivative of reference (untransformed) function.
override double | RefSecondDerivative (double x)
| Returns the second derivative of the given order of reference (untransformed) function.
override double | RefDerivative (double x, int order)
| Returns the derivative of the given order of reference (untransformed) function.
internal override void | setHighestDerivativeDefined (int order)
| Sets the internal variable that specifies which is the highest order derivative devined (-1 for unlimited).
override double | RefIntegral (double x)
| Returns definite integral of reference (untransformed) function from 0 to the function argument.
override double | RefInverse (double x)
| Returns inverse of the reference (untransformed) function.
## Properties
override bool | ValueDefined`[get, set]`
| Tells whether value of the function is defined by implementation. Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
override bool | DerivativeDefined`[get, set]`
| Tells whether the first derivative is defined for this function (by implementation, not mathematically). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
override bool | SecondDerivativeDefined`[get, set]`
| Tells whether the second derivative is defined for this function (by implementation, not mathematically). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
override bool | IntegralDefined`[get, set]`
| Indicates whether integral is defined for this function (w.r. implementation). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
override bool | InverseDefined`[get, set]`
| Indicates whether inverse is defined for this function (w.r. implementation). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

## Detailed Description

A RealFunction class representing bell like polynomial weighting function with finite support, based on Gaussian function (exp(-x^2)). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.

## Constructor & Destructor Documentation

IG::Num::Func::WeightGauss::WeightGauss | ( |  | ) | `[inline]`

IG::Num::Func::WeightGauss::WeightGauss | ( | double | Kx,
|  | double | Sx
| ) |  | `[inline]`

IG::Num::Func::WeightGauss::WeightGauss | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline]`

## Member Function Documentation

override double IG::Num::Func::WeightGauss::RefValue | ( | double | x | ) | `[inline, protected, virtual]`

Returns the value of reference (untransformed) function.

Reimplemented from IG::Num::RealFunction.

override double IG::Num::Func::WeightGauss::RefDerivative | ( | double | x | ) | `[inline, protected, virtual]`

Returns the first derivative of reference (untransformed) function.

Reimplemented from IG::Num::RealFunction.

override double IG::Num::Func::WeightGauss::RefSecondDerivative | ( | double | x | ) | `[inline, protected, virtual]`

Returns the second derivative of the given order of reference (untransformed) function.

Reimplemented from IG::Num::RealFunction.

override double IG::Num::Func::WeightGauss::RefDerivative | ( | double | x,
|  | int | order
| ) |  | `[inline, protected, virtual]`

Returns the derivative of the given order of reference (untransformed) function.

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::Func::WeightGauss::HigherDerivativeDefined | ( | int | order | ) | `[inline]`

Tells whether the derivative of the given order is defined for this function (by implementation, not mathematically). Returns true if either the internal variable indicates true or the appropriate delegate is non-null.

Reimplemented from IG::Num::RealFunction.

internal override void IG::Num::Func::WeightGauss::setHighestDerivativeDefined | ( | int | order | ) | `[inline, protected, virtual]`

Sets the internal variable that specifies which is the highest order derivative devined (-1 for unlimited).

Parameters:

  order | Highest order for which derivative is defined. -1 means that all derivatives are defined.

Reimplemented from IG::Num::RealFunction.

override double IG::Num::Func::WeightGauss::RefIntegral | ( | double | x | ) | `[inline, protected, virtual]`

Returns definite integral of reference (untransformed) function from 0 to the function argument.

Reimplemented from IG::Num::RealFunction.

override double IG::Num::Func::WeightGauss::RefInverse | ( | double | y | ) | `[inline, protected, virtual]`

Returns inverse of the reference (untransformed) function.

Reimplemented from IG::Num::RealFunction.

## Property Documentation

override bool IG::Num::Func::WeightGauss::ValueDefined`[get, set]`

Tells whether value of the function is defined by implementation. Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::Func::WeightGauss::DerivativeDefined`[get, set]`

Tells whether the first derivative is defined for this function (by implementation, not mathematically). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::Func::WeightGauss::SecondDerivativeDefined`[get, set]`

Tells whether the second derivative is defined for this function (by implementation, not mathematically). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::Func::WeightGauss::IntegralDefined`[get, set]`

Indicates whether integral is defined for this function (w.r. implementation). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::Func::WeightGauss::InverseDefined`[get, set]`

Indicates whether inverse is defined for this function (w.r. implementation). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

The documentation for this class was generated from the following file:

- FunctionRealWeight.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events